Subject: Re: linux-next: build failure after merge of the scsi-mkp tree

From: Douglas Gilbert <[email-masked]>
Date: Wed, 27 Jan 2021 12:10:39 -0500

On 2021-01-27 2:01 a.m., Stephen Rothwell wrote:
> Hi all,
> 
> On Mon, 25 Jan 2021 00:53:59 -0500 Douglas Gilbert <[email-masked]> wrote:
>>
>> On 2021-01-24 11:13 p.m., Stephen Rothwell wrote:
>>>
>>> After merging the scsi-mkp tree, today's linux-next build (powerpc
>>> ppc64_defconfig) failed like this:
>>>
>>> drivers/scsi/sg.c: In function 'sg_find_srp_by_id':
>>> drivers/scsi/sg.c:2908:4: error: expected '}' before 'else'
>>>    2908 |    else
>>>         |    ^~~~
>>> drivers/scsi/sg.c:2902:16: warning: unused variable 'cptp' [-Wunused-variable]
>>>    2902 |    const char *cptp = "pack_id=";
>>>         |                ^~~~
>>> drivers/scsi/sg.c:2896:5: error: label 'good' used but not defined
>>>    2896 |     goto good;
>>>         |     ^~~~
>>> drivers/scsi/sg.c: At top level:
>>> drivers/scsi/sg.c:2913:2: error: expected identifier or '(' before 'return'
>>>    2913 |  return NULL;
>>>         |  ^~~~~~
>>> drivers/scsi/sg.c:2914:5: error: expected '=', ',', ';', 'asm' or '__attribute__' before ':' token
>>>    2914 | good:
>>>         |     ^
>>> drivers/scsi/sg.c:2917:2: error: expected identifier or '(' before 'return'
>>>    2917 |  return srp;
>>>         |  ^~~~~~
>>> drivers/scsi/sg.c:2918:1: error: expected identifier or '(' before '}' token
>>>    2918 | }
>>>         | ^
>>> drivers/scsi/sg.c: In function 'sg_find_srp_by_id':
>>> drivers/scsi/sg.c:2912:2: error: control reaches end of non-void function [-Werror=return-type]
>>>    2912 |  }
>>>         |  ^
>>>
>>> Caused by commit
>>>
>>>     7323ad3618b6 ("scsi: sg: Replace rq array with xarray")
>>>
>>> SG_LOG() degenerates to "{}" in some configs ...
>>>
>>> I have used the scsi-mkp tree from next-20210122 for today.
>>
>> I sent a new patchset to the linux-scsi list about 4 hours ago to
>> fix that.
>>
>> Doug Gilbert
> 
> I am still getting this build failure.

Hi,
I resent the original patch set, with fixes, against the linux-scsi
list yesterday but that was not the form that Martin Petersen needs
it in. That was against his 5.12/scsi-queue branch which is roughly
lk 5.11.0-rc2. He has referred me to his 5.12/scsi-staging branch
which looks half applied from the 45 patch set that I have been
sending to the linux-scsi list. Trying to find out if that was the
intention or a mistake.

The other issue is a large patchset that removes the first function
argument from blk_execute_rq_nowait() which is used by the sg driver.

Doug Gilbert